/*
 * versions.h
 *
 * definition of the languages style sheets
 * Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
 * Copyright (c) 1995, 96, 97, 98 Akim Demaille, Miguel Santana
 * $Id: versions.h,v 1.2 1998/01/15 15:03:17 demaille Exp $
 */

/*
 * This file is part of a2ps.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _VERSIONS_H_
#define _VERSIONS_H_

void version_set_to_null PARAMS ((int version [4]));

int version_is_null PARAMS ((int version [4]));

int version_cmp PARAMS ((int v1[4], int v2[4]));

void version_cpy PARAMS ((int d[4], int s[4]));

void version_self_print PARAMS ((int version [4], FILE * stream));

/* Return the length occupied by this version number once printed */
int version_length PARAMS ((int version [4]));

void version_add PARAMS ((int v1[4], int v2[4]));

void string_to_version PARAMS ((const char * version_string, int version [4]));
#endif /* not defined _VERSIONS_H_ */
